%define pack qtjambi-gpl-src-4.3.3_01
%define libqtjambi %mklibname qtjambi 1

Name: qtjambi
Version: 4.3.3
Release: %mkrel 3
Summary: Cross-platform, rich client application development framework for Java
Source: %{pack}.tar.gz
Source1: qtjambi-linux32-gpl-doc.tar.bz2
URL: http://trolltech.com/products/qt/jambi
License: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: java-rpmbuild
BuildRequires: java-devel-icedtea
BuildRequires: qt4-devel >= 2:4.3.1
Requires: %libqtjambi = %version
Requires: qt4-common
Requires: java
ExclusiveArch: %{ix86}

%description
Qt Jambi is a cross-platform, rich client application development framework for
Java. It includes a comprehensive class library and integrated development
tools for high-end rich client application development. To organizations
developing high performance, cross-platform desktop applications with Java, Qt
Jambi increases development efficiency, adds freedom and flexibility to Java
development, and provides the assurances of a solid, mature framework.

%files
%defattr(-,root,root,-)
%qt4plugins/qtjambi
%_jnidir/*

#-------------------------------------------------------------

%package -n %libqtjambi
Summary: Qt Jambi main libraries
Group: System/Libraries

%post -n %libqtjambi -p /sbin/ldconfig
%postun -n %libqtjambi -p /sbin/ldconfig

%description -n %libqtjambi
Qt Jambi main libraries.

%files -n %libqtjambi
%defattr(-,root,root,-)
%qt4lib/*

#-------------------------------------------------------------

%package doc
Summary: Qt Jambi documentation
Group: Books/Computer books

%description doc
Qt Jambi documentation.

%files doc
%defattr(-,root,root,-)
%_docdir/qtjambi
%exclude %_docdir/qtjambi/com

#-------------------------------------------------------------

%package demo
Summary: Qt Jambi launcher demo
Group: Books/Computer books
Obsoletes: qtjambi-launcher
Requires: %name
Requires: %name-doc

%description demo
Qt Jambi launcher demo.

%files demo
%defattr(-,root,root,-)
%_bindir/qtjambi-demo
%_docdir/qtjambi/com

#-------------------------------------------------------------

%package devel
Summary: Qt Jambi devel
Group: Development/Java
Requires: %name
Requires: qt4-designer >= 4.3.1
Requires: qt4-devel >= 2:4.3.1
Requires: java-devel

%description devel
Qt Jambi devel.

%files devel
%defattr(-,root,root,-)
%_bindir/designer-qtjambi
%qt4dir/bin/juic
%qt4dir/bin/generator
%qt4include/*
%qt4plugins/designer

#-------------------------------------------------------------

%prep
%setup -q -n %{pack}


%build
export JAVADIR=%{_jvmdir}/java
export QTDIR=%qt4dir
export PATH=%qt4dir/bin:$PATH

# Create generator
pushd generator
    qmake
    %make
    ./generator
popd

qmake -r
%make

# Make java sources
bin/juic -cp .
javac -verbose @java_files
										
%install
rm -rf %buildroot

# Not default install yet, need do it manually.
# Will prefer use standard qt4 dir as usual
mkdir -p %buildroot/%qt4dir/bin
mkdir -p %buildroot/%qt4include
mkdir -p %buildroot/%qt4lib
mkdir -p %buildroot/%qt4plugins
mkdir -p %buildroot/%_jnidir
mkdir -p %buildroot/%_docdir/qtjambi
mkdir -p %buildroot/%_docdir/qtjambi/com/trolltech
mkdir -p %buildroot/%_bindir

# Create base jar
jar cf %buildroot/%_jnidir/qtjambi-%version.jar com/trolltech/qt com/trolltech/tools
pushd %buildroot/%_jnidir
    ln -s qtjambi-%version.jar qtjambi.jar
popd

for name in demos examples images launcher; do
	cp -a com/trolltech/$name %buildroot/%_docdir/qtjambi/com/trolltech
done
cp -a doc %buildroot/%_docdir/qtjambi
cp -a generator_example %buildroot/%_docdir/qtjambi
cp -a plugins/* %buildroot/%qt4plugins 
cp -aP lib/* %buildroot/%qt4lib
cp bin/juic generator/generator %buildroot/%qt4dir/bin
cp include/* %buildroot/%qt4include
pushd %buildroot/%_docdir/qtjambi/doc
    tar xfj %SOURCE1
popd

# DESIGNER WITH JAMBI
cat > %buildroot/%_bindir/designer-qtjambi << EOF
#!/bin/sh
# Support script to properly set environments for Designer with Jambi to run
export QTDIR=%qt4dir
export PATH=%qt4dir/bin:$PATH
export JAVADIR=%{_jvmdir}/java 
export CLASSPATH=%_jnidir/qtjambi.jar
export MOC=%qt4dir/bin/moc
export UIC=%qt4dir/bin/juic

exec %qt4dir/bin/designer-real "\$@"
EOF
chmod 0755 %buildroot/%_bindir/designer-qtjambi

# LAUNCHER
cat > %buildroot/%_bindir/qtjambi-demo << EOF
#!/bin/sh
# Support script to properly set environments for Launcher
export JAVADIR=%{_jvmdir}/jre
cd %_docdir/qtjambi/
java -Djava.library.path=%qt4lib -cp %_jnidir/qtjambi.jar:. com.trolltech.launcher.Launcher
EOF
chmod 0755 %buildroot/%_bindir/qtjambi-demo

%clean
rm -rf %buildroot



%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.3.3-3mdv2008.1
+ Revision: 171075
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 4.3.3-2mdv2008.1
+ Revision: 121015
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Wed Dec 12 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3.3-1mdv2008.1
+ Revision: 118995
- Due to current start of x86_64 compilers that are exploding on compilation, i'm setting Jambi to compile against x86 only archs for a while
- Update to qtjambi 4.3.3 to match new qt 4.3.3
- New upstream version, 4.3.2. Match with current Qt 4 version on cooker. Just minor changes on spec file.

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.3.1-5mdv2008.0
+ Revision: 90220
- rebuild

* Thu Aug 16 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3.1-4mdv2008.0
+ Revision: 64083
- Renamed package launcher to qtjambi-demo and changed demo and samples files to
  demo package
- Fixed documentation
- Chnaged a bit launcher ( Thanks to DWalluck )
- Added documentation

* Wed Aug 15 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3.1-2mdv2008.0
+ Revision: 63752
- Moved to "standard" jar dir
- Fixed launcher and designer-qtjambi for x86_64
- Added Java devel requires

* Wed Aug 15 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3.1-1mdv2008.0
+ Revision: 63646
- import qtjambi-4.3.1-1mdv2008.0


